%define modname ffmpeg
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A30_%{modname}.ini

Summary:	The ffmpeg module for PHP
Name:		php-%{modname}
Version:	0.6.0
Release:	%mkrel 8
Group:		Development/PHP
License:	GPL
URL:		http://sourceforge.net/projects/ffmpeg-php/
Source:		http://downloads.sourceforge.net/ffmpeg-php/ffmpeg-php-%version.tbz2
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	ffmpeg-devel >= 0.4.9-0.pre1.4mdk
BuildRequires:	gd-devel
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
ffmpeg-php is an extension for PHP that adds an easy to use, object-oriented
API for accessing and retrieving information from movies and audio files. It
has methods for returning frames from movie files as images that can be
manipulated using PHP's image functions. This works well for automatically
creating thumbnail images from movie files, and it's fast enough to extract
thumbnails on the fly so that thumbnail images don't need to be stored.
ffmpeg-php is also useful for reporting the duration and bitrate of audio files
(mp3, wma...). ffmpeg-php can access many of the video formats supported by
ffmpeg (mov, avi, mpg, wmv...) 

%prep
%setup -q -n %{modname}-php-%{version}

# use system gd header
rm -f gd.h

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --enable-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .
chrpath -d %{soname}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

%{__cat} > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS ChangeLog EXPERIMENTAL INSTALL tests
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.6.0-8mdv2010.0
+ Revision: 451268
- rebuild

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 1:0.6.0-7mdv2010.0
+ Revision: 397519
- Rebuild

* Mon May 18 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.6.0-6mdv2010.0
+ Revision: 376988
- rebuilt for php-5.3.0RC2

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.6.0-5mdv2009.1
+ Revision: 346424
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.6.0-4mdv2009.1
+ Revision: 341731
- rebuilt against php-5.2.9RC2

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.6.0-3mdv2009.1
+ Revision: 321725
- rebuild

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.6.0-2mdv2009.1
+ Revision: 310265
- rebuilt against php-5.2.7

* Mon Nov 24 2008 Funda Wang <fundawang@mandriva.org> 1:0.6.0-1mdv2009.1
+ Revision: 306189
- New version 0.6.0

* Fri Jul 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.5.2.1-2mdv2009.0
+ Revision: 238393
- rebuild

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.5.2.1-1mdv2009.0
+ Revision: 200379
- 0.5.2.1
- rebuilt for php-5.2.6

* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.5.1-4mdv2008.1
+ Revision: 162150
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.5.1-3mdv2008.1
+ Revision: 107629
- restart apache if needed

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.5.1-2mdv2008.0
+ Revision: 77540
- rebuilt against php-5.2.4

* Sun Jul 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.5.1-1mdv2008.0
+ Revision: 49764
- 0.5.1
- rediffed P0, dropped P1
- use distro conditional -fstack-protector


* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.4.6-10mdv2007.0
+ Revision: 117583
- rebuilt against new upstream version (5.2.1)

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-9mdv2007.1
+ Revision: 78163
- fix deps
- rebuilt for php-5.2.0
- Import php-ffmpeg

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-7
- rebuilt for php-5.1.6

* Thu Jul 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-6mdk
- rebuild

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.4.6-5mdk
- rebuilt for php-5.1.3

* Mon Mar 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-4mdk
- rebuilt against new ffmpeg-devel
- fix patches

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-3mdk
- rebuilt against php-5.1.2

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-2mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-1mdk
- rebuilt against php-5.1.0
- fix versioning

* Sun Oct 02 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_0.4.6-0.RC1.1mdk
- 0.4.6
- fix the lib64 patch
- use a hack instead of a patch to utilize system gd headers
- rebuilt against php-5.1.0RC1

* Wed Sep 07 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.5_0.4.2-1mdk
- rebuilt against php-5.0.5 (Major security fixes)

* Fri May 27 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.4.2-1mdk
- rename the package

* Sun Apr 17 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.4.2-1mdk
- 5.0.4

* Tue Apr 05 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.4.2-5mdk
- reworked the lib64 patch (P0)

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.4.2-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.4.2-3mdk
- rebuilt against a non hardened-php aware php lib

* Sun Jan 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.4.2-2mdk
- nuke rpath

* Sun Jan 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.4.2-1mdk
- 0.4.2
- fix P0

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.4.1.1-2mdk
- fix deps

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.4.1.1-1mdk
- 0.4.1.1
- added P1
- lib64 fixes (P0)

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.3.7-0.alpha.1mdk
- rebuilt for php-5.0.3

* Thu Dec 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_0.3.7-0.alpha.1mdk
- initial mandrake package

